open Char;;
open Printf;;

type token = 
    Int of int
  | Long of string
  | Keyword
  | Name of string
  | Other of char

let isDigit x = code x >= code '0' && code x <= code '9';;

let explode s =
 let l = ref [] in
 for i=String.length s -1 downto 0 do
   l := (String.get s i) :: !l
 done;
 !l;;


